Orxonox: orxonox::ArgumentCompletionListElement Class Reference

# orxonox::ArgumentCompletionListElement Class Reference

`#include <src/core/ArgumentCompletionListElement.h>`

List of all members.

## Public Member Functions

| ArgumentCompletionListElement (const std::string &normalcase, const std::string &lowercase, const std::string &display)
| ArgumentCompletionListElement (const std::string &normalcase, const std::string &lowercase)
| ArgumentCompletionListElement (const std::string &normalcase)
const std::string & | getComparable () const
const std::string & | getDisplay () const
const std::string & | getString () const
bool | lowercaseComparison () const
bool | operator< (const ArgumentCompletionListElement &other) const

## Private Attributes

std::string | display_
std::string | lowerCase_
unsigned char | mode_
std::string | normalCase_

## Constructor & Destructor Documentation

orxonox::ArgumentCompletionListElement::ArgumentCompletionListElement | ( | const std::string & | normalcase | ) | `[inline]`

orxonox::ArgumentCompletionListElement::ArgumentCompletionListElement | ( | const std::string & | normalcase,
|  | const std::string & | lowercase |
| ) |  |  | `[inline]`

orxonox::ArgumentCompletionListElement::ArgumentCompletionListElement | ( | const std::string & | normalcase,
|  | const std::string & | lowercase,
|  | const std::string & | display |
| ) |  |  | `[inline]`

## Member Function Documentation

const std::string& orxonox::ArgumentCompletionListElement::getComparable | ( |  | ) | const`[inline]`

References orxonox::ACL_MODE_LOWERCASE.

Referenced by operator<().

const std::string& orxonox::ArgumentCompletionListElement::getDisplay | ( |  | ) | const`[inline]`

References orxonox::ACL_MODE_DISPLAY.

const std::string& orxonox::ArgumentCompletionListElement::getString | ( |  | ) | const`[inline]`

bool orxonox::ArgumentCompletionListElement::lowercaseComparison | ( |  | ) | const`[inline]`

References orxonox::ACL_MODE_LOWERCASE.

bool orxonox::ArgumentCompletionListElement::operator< | ( | const ArgumentCompletionListElement & | other | ) | const`[inline]`

References getComparable().

## Member Data Documentation

std::string orxonox::ArgumentCompletionListElement::display_`[private]`

std::string orxonox::ArgumentCompletionListElement::lowerCase_`[private]`

unsigned char orxonox::ArgumentCompletionListElement::mode_`[private]`

std::string orxonox::ArgumentCompletionListElement::normalCase_`[private]`

The documentation for this class was generated from the following file:

- src/core/ArgumentCompletionListElement.h